public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Eray Aslan" <eras@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/mit-krb5/
Date: Thu, 10 May 2018 06:30:14 +0000 (UTC)	[thread overview]
Message-ID: <1525933794.96efb48a4f5dcba502ce1052701921aeddcea0e0.eras@gentoo> (raw)

commit:     96efb48a4f5dcba502ce1052701921aeddcea0e0
Author:     Eray Aslan <eras <AT> gentoo <DOT> org>
AuthorDate: Thu May 10 06:29:54 2018 +0000
Commit:     Eray Aslan <eras <AT> gentoo <DOT> org>
CommitDate: Thu May 10 06:29:54 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=96efb48a

app-crypt/mit-krb5: bump to 1.16.1

Package-Manager: Portage-2.3.36, Repoman-2.3.9

 app-crypt/mit-krb5/Manifest               |   1 +
 app-crypt/mit-krb5/mit-krb5-1.16.1.ebuild | 153 ++++++++++++++++++++++++++++++
 2 files changed, 154 insertions(+)

diff --git a/app-crypt/mit-krb5/Manifest b/app-crypt/mit-krb5/Manifest
index ef54ec04904..2e79cf89fa3 100644
--- a/app-crypt/mit-krb5/Manifest
+++ b/app-crypt/mit-krb5/Manifest
@@ -1,2 +1,3 @@
 DIST krb5-1.15.2.tar.gz 9380755 BLAKE2B 3f5d00a70bf44ef077872bde282e4753e82acb70632e136b8f9f8d3a192e3e7b692840803e5a3f67ddb202d53631767ea9eb8b7615d45a3479389a01a6390ac4 SHA512 e5814bb66384b13637c37918df694c6b9933c29c2d952da0ed0dcd2e623b269060b4c16b6c02162039dadebdab99ff1085e37e7621ae4748dafb036424e612c2
+DIST krb5-1.16.1.tar.gz 9477480 BLAKE2B 16bdd7d6d03ddbd4b070663c3a7a3d2331d54e8590b24f1dc162be2531bfbbbd65878d426a160c65ffc1ba4751f16bbbd177a8a91c01002fde0e886cc1bd91b9 SHA512 fa4ec14a4ffe690861e2dd7ea39d7698af2058ce181bb733ea891f80279f4dde4bb891adec5ccb0eaddf737306e6ceb1fe3744a2946e6189a7d7d2dd3bc5ba84
 DIST krb5-1.16.tar.gz 9474479 BLAKE2B 0c5caa0a0d2308a447d47ab94d7b8dc92a67ad78b3bac1678c3f3ece3905f27feda5a23d28b3c13ebd64d1760726888c759fb19da82ad960c6f84a433b753873 SHA512 7e162467b95dad2b6aaa11686d08a00f1cc4eb08247fca8f0e5a8bcaa5f9f7b42cdf00db69c5c6111bdf9eb8063d53cef3bb207ce5d6a287615ca10b710153f9

diff --git a/app-crypt/mit-krb5/mit-krb5-1.16.1.ebuild b/app-crypt/mit-krb5/mit-krb5-1.16.1.ebuild
new file mode 100644
index 00000000000..6e6edde5000
--- /dev/null
+++ b/app-crypt/mit-krb5/mit-krb5-1.16.1.ebuild
@@ -0,0 +1,153 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+inherit autotools flag-o-matic multilib-minimal python-any-r1 systemd versionator
+
+MY_P="${P/mit-}"
+P_DIR=$(get_version_component_range 1-2)
+DESCRIPTION="MIT Kerberos V"
+HOMEPAGE="https://web.mit.edu/kerberos/www/"
+SRC_URI="https://web.mit.edu/kerberos/dist/krb5/${P_DIR}/${MY_P}.tar.gz"
+
+LICENSE="openafs-krb5-a BSD MIT OPENLDAP BSD-2 HPND BSD-4 ISC RSA CC-BY-SA-3.0 || ( BSD-2 GPL-2+ )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="doc +keyutils libressl nls openldap +pkinit selinux +threads test xinetd"
+
+# Test suite require network access
+RESTRICT="test"
+
+CDEPEND="
+	!!app-crypt/heimdal
+	>=sys-libs/e2fsprogs-libs-1.42.9[${MULTILIB_USEDEP}]
+	|| (
+		>=dev-libs/libverto-0.2.5[libev,${MULTILIB_USEDEP}]
+		>=dev-libs/libverto-0.2.5[libevent,${MULTILIB_USEDEP}]
+		>=dev-libs/libverto-0.2.5[tevent,${MULTILIB_USEDEP}]
+	)
+	keyutils? ( >=sys-apps/keyutils-1.5.8[${MULTILIB_USEDEP}] )
+	nls? ( sys-devel/gettext[${MULTILIB_USEDEP}] )
+	openldap? ( >=net-nds/openldap-2.4.38-r1[${MULTILIB_USEDEP}] )
+	pkinit? (
+		!libressl? ( >=dev-libs/openssl-1.0.1h-r2:0=[${MULTILIB_USEDEP}] )
+		libressl? ( dev-libs/libressl[${MULTILIB_USEDEP}] )
+	)
+	xinetd? ( sys-apps/xinetd )"
+DEPEND="${CDEPEND}
+	${PYTHON_DEPS}
+	virtual/yacc
+	doc? ( virtual/latex-base )
+	test? (
+		${PYTHON_DEPS}
+		dev-lang/tcl:0
+		dev-util/dejagnu
+	)"
+RDEPEND="${CDEPEND}
+	selinux? ( sec-policy/selinux-kerberos )"
+
+S=${WORKDIR}/${MY_P}/src
+
+MULTILIB_CHOST_TOOLS=(
+	/usr/bin/krb5-config
+)
+
+src_prepare() {
+	eapply "${FILESDIR}/${PN}-1.12_warn_cflags.patch"
+	eapply -p2 "${FILESDIR}/${PN}-config_LDFLAGS.patch"
+	eapply "${FILESDIR}/${PN}-libressl-version-check.patch"
+
+	# Make sure we always use the system copies.
+	rm -rf util/{et,ss,verto}
+	sed -i 's:^[[:space:]]*util/verto$::' configure.in || die
+
+	eapply_user
+	eautoreconf
+}
+
+src_configure() {
+	# QA
+	append-flags -fno-strict-aliasing
+	append-flags -fno-strict-overflow
+
+	multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+	use keyutils || export ac_cv_header_keyutils_h=no
+	ECONF_SOURCE=${S} \
+	WARN_CFLAGS="set" \
+	econf \
+		$(use_with openldap ldap) \
+		"$(multilib_native_use_with test tcl "${EPREFIX}/usr")" \
+		$(use_enable nls) \
+		$(use_enable pkinit) \
+		$(use_enable threads thread-support) \
+		--without-hesiod \
+		--enable-shared \
+		--with-system-et \
+		--with-system-ss \
+		--enable-dns-for-realm \
+		--enable-kdc-lookaside-cache \
+		--with-system-verto \
+		--disable-rpath
+}
+
+multilib_src_compile() {
+	emake -j1
+}
+
+multilib_src_test() {
+	multilib_is_native_abi && emake -j1 check
+}
+
+multilib_src_install() {
+	emake \
+		DESTDIR="${D}" \
+		EXAMPLEDIR="${EPREFIX}/usr/share/doc/${PF}/examples" \
+		install
+}
+
+multilib_src_install_all() {
+	# default database dir
+	keepdir /var/lib/krb5kdc
+
+	cd ..
+	dodoc README
+
+	if use doc; then
+		dodoc -r doc/html
+		docinto pdf
+		dodoc doc/pdf/*.pdf
+	fi
+
+	newinitd "${FILESDIR}"/mit-krb5kadmind.initd-r2 mit-krb5kadmind
+	newinitd "${FILESDIR}"/mit-krb5kdc.initd-r2 mit-krb5kdc
+	newinitd "${FILESDIR}"/mit-krb5kpropd.initd-r2 mit-krb5kpropd
+	newconfd "${FILESDIR}"/mit-krb5kadmind.confd mit-krb5kadmind
+	newconfd "${FILESDIR}"/mit-krb5kdc.confd mit-krb5kdc
+	newconfd "${FILESDIR}"/mit-krb5kpropd.confd mit-krb5kpropd
+
+	systemd_newunit "${FILESDIR}"/mit-krb5kadmind.service mit-krb5kadmind.service
+	systemd_newunit "${FILESDIR}"/mit-krb5kdc.service mit-krb5kdc.service
+	systemd_newunit "${FILESDIR}"/mit-krb5kpropd.service mit-krb5kpropd.service
+	systemd_newunit "${FILESDIR}"/mit-krb5kpropd_at.service "mit-krb5kpropd@.service"
+	systemd_newunit "${FILESDIR}"/mit-krb5kpropd.socket mit-krb5kpropd.socket
+
+	insinto /etc
+	newins "${ED}/usr/share/doc/${PF}/examples/krb5.conf" krb5.conf.example
+	insinto /var/lib/krb5kdc
+	newins "${ED}/usr/share/doc/${PF}/examples/kdc.conf" kdc.conf.example
+
+	if use openldap ; then
+		insinto /etc/openldap/schema
+		doins "${S}/plugins/kdb/ldap/libkdb_ldap/kerberos.schema"
+	fi
+
+	if use xinetd ; then
+		insinto /etc/xinetd.d
+		newins "${FILESDIR}/kpropd.xinetd" kpropd
+	fi
+}


             reply	other threads:[~2018-05-10  6:30 UTC|newest]

Thread overview: 189+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-05-10  6:30 Eray Aslan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-12  6:13 [gentoo-commits] repo/gentoo:master commit in: app-crypt/mit-krb5/ Arthur Zamarin
2024-09-01 12:37 Eray Aslan
2024-08-31  2:42 Ionen Wolkens
2024-08-31  2:42 Ionen Wolkens
2024-08-31  2:42 Ionen Wolkens
2024-08-31  2:42 Ionen Wolkens
2024-06-30 18:56 Jakov Smolić
2024-06-30 18:38 Arthur Zamarin
2024-06-27  9:48 Sam James
2024-06-27  7:29 Eray Aslan
2024-04-05  7:15 Eray Aslan
2024-04-04 16:23 Arthur Zamarin
2024-04-04 16:23 Arthur Zamarin
2024-04-04 16:23 Arthur Zamarin
2024-03-14  2:25 Sam James
2024-03-03 19:03 Michał Górny
2024-03-01  3:42 Sam James
2024-02-24 21:19 Jakov Smolić
2024-02-24 15:26 Arthur Zamarin
2023-08-17  6:22 Sam James
2023-08-16  6:04 Eray Aslan
2023-07-20 18:33 Eray Aslan
2023-07-20 18:33 Eray Aslan
2023-06-06 10:30 Eray Aslan
2022-11-28 11:39 Eray Aslan
2022-11-28 11:35 Eray Aslan
2022-11-22  4:44 Sam James
2022-11-18  7:42 Jakov Smolić
2022-11-16  5:32 Arthur Zamarin
2022-11-16  5:32 Arthur Zamarin
2022-11-16  5:32 Arthur Zamarin
2022-11-16  5:32 Arthur Zamarin
2022-11-16  5:27 Arthur Zamarin
2022-11-15 21:28 Eray Aslan
2022-11-05 17:11 Agostino Sarubbo
2022-11-04  9:02 Agostino Sarubbo
2022-11-04  8:55 Agostino Sarubbo
2022-11-03 19:44 Arthur Zamarin
2022-09-02  5:52 Sam James
2022-05-28  9:39 Eray Aslan
2022-05-10  1:35 WANG Xuerui
2022-04-17 15:09 David Seifert
2022-03-23  0:14 Sam James
2022-03-15 11:43 Eray Aslan
2022-01-11 13:24 Eray Aslan
2022-01-10 23:01 Sam James
2022-01-08 13:39 Arthur Zamarin
2022-01-07 20:18 Arthur Zamarin
2022-01-07 15:29 Sam James
2022-01-06 19:08 Sam James
2022-01-05 16:09 Arthur Zamarin
2022-01-05 16:04 Arthur Zamarin
2022-01-05 16:04 Arthur Zamarin
2021-12-31 17:50 David Seifert
2021-12-27  7:46 Eray Aslan
2021-08-01 17:44 Sam James
2021-07-31 11:44 Sergei Trofimovich
2021-07-30 22:36 Sam James
2021-07-30 22:36 Sam James
2021-07-30 15:17 Agostino Sarubbo
2021-07-30 15:14 Agostino Sarubbo
2021-07-30 15:10 Agostino Sarubbo
2021-07-29  6:40 Agostino Sarubbo
2021-07-28 15:48 Eray Aslan
2021-07-01 15:53 Marek Szuba
2021-06-23  4:43 Sam James
2021-04-30 21:49 Mikle Kolyada
2021-02-20  7:40 Eray Aslan
2021-02-20  5:55 Eray Aslan
2021-02-20  5:55 Eray Aslan
2021-02-11 15:13 Eray Aslan
2021-01-31 22:03 Conrad Kostecki
2021-01-31 22:03 Conrad Kostecki
2020-11-19  9:02 Eray Aslan
2020-11-19  9:02 Eray Aslan
2020-11-17 19:10 Agostino Sarubbo
2020-11-17  9:21 Joonas Niilola
2020-11-17  8:18 Eray Aslan
2020-11-12  7:41 Sergei Trofimovich
2020-11-12  7:34 Sergei Trofimovich
2020-11-11  4:57 Sam James
2020-11-10 23:49 Sam James
2020-11-10 23:49 Sam James
2020-11-10 21:03 Sam James
2020-11-10 21:03 Sam James
2020-11-10  7:35 Eray Aslan
2020-08-05  5:29 Eray Aslan
2020-07-19 12:47 Agostino Sarubbo
2020-07-18 16:42 Sam James
2020-07-17 15:12 Agostino Sarubbo
2020-07-17 15:09 Agostino Sarubbo
2020-07-17 14:58 Sam James
2020-07-17  7:02 Agostino Sarubbo
2020-06-05  7:12 Sergei Trofimovich
2020-05-27 12:56 Mikle Kolyada
2020-04-22 11:11 Eray Aslan
2020-02-14  9:23 Eray Aslan
2019-12-13  6:32 Eray Aslan
2019-09-21  5:20 Matt Turner
2019-09-20  6:39 Sergei Trofimovich
2019-09-16  6:08 Sergei Trofimovich
2019-09-13 18:01 Mikle Kolyada
2019-09-13 17:27 Agostino Sarubbo
2019-09-10  7:10 Agostino Sarubbo
2019-09-10  7:00 Sergei Trofimovich
2019-09-10  6:56 Sergei Trofimovich
2019-09-09 17:23 Agostino Sarubbo
2019-09-09 16:46 Aaron Bauman
2019-09-07 17:50 Matt Turner
2019-06-28  6:23 Michael Haubenwallner
2019-05-05 20:58 Mikle Kolyada
2019-05-05 11:55 Mikle Kolyada
2019-05-04 19:19 Mikle Kolyada
2019-05-04 19:16 Mikle Kolyada
2019-02-16 18:58 Aaron Bauman
2019-01-19  6:03 Eray Aslan
2018-12-15 14:53 Eray Aslan
2018-07-15 11:45 Mart Raudsepp
2018-06-18 18:31 Sergei Trofimovich
2018-06-03 17:16 Mikle Kolyada
2018-05-29  5:35 Eray Aslan
2018-05-27 20:43 Mikle Kolyada
2018-04-22 20:28 Matt Turner
2018-04-22 20:19 Matt Turner
2018-04-21  9:17 Mikle Kolyada
2018-04-15 19:13 Sergei Trofimovich
2018-04-15 18:58 Thomas Deutschmann
2018-04-15 18:29 Sergei Trofimovich
2018-04-14 16:28 Aaron Bauman
2018-04-08 10:55 Markus Meier
2018-03-31 14:17 Tobias Klausmann
2018-03-29 15:19 Thomas Deutschmann
2018-03-29  2:01 Aaron Bauman
2018-03-25 21:57 Sergei Trofimovich
2018-03-25 21:00 Sergei Trofimovich
2018-03-25 20:32 Sergei Trofimovich
2018-03-16 21:52 Lars Wendler
2018-01-20 16:49 Tobias Klausmann
2017-12-28 21:55 Sergei Trofimovich
2017-12-13 21:12 Markus Meier
2017-12-10 22:59 Sergei Trofimovich
2017-12-09 14:54 Sergei Trofimovich
2017-12-06 20:57 Agostino Sarubbo
2017-11-23 23:20 Sergei Trofimovich
2017-11-20  8:08 Eray Aslan
2017-11-19 15:14 Markus Meier
2017-11-14 21:44 Thomas Deutschmann
2017-11-11 22:28 Sergei Trofimovich
2017-11-11 12:00 Sergei Trofimovich
2017-11-08 13:38 Agostino Sarubbo
2017-11-06 14:18 Tobias Klausmann
2017-11-06 10:02 Sergei Trofimovich
2017-09-28  6:11 Eray Aslan
2017-03-08  7:35 Eray Aslan
2017-03-08  7:35 Eray Aslan
2016-12-13  9:13 Eray Aslan
2016-11-10 22:36 Mike Frysinger
2016-11-10 22:36 Mike Frysinger
2016-09-19  7:30 Eray Aslan
2016-07-25 10:06 Eray Aslan
2016-07-12 12:53 Eray Aslan
2016-07-08 12:02 Agostino Sarubbo
2016-07-08 10:02 Agostino Sarubbo
2016-05-20 13:52 Tobias Klausmann
2016-04-26 17:29 Markus Meier
2016-04-26 11:19 Agostino Sarubbo
2016-04-23 10:31 Jeroen Roovers
2016-04-21 16:01 Eray Aslan
2016-03-15 20:50 Tobias Klausmann
2016-03-15 16:39 Agostino Sarubbo
2016-03-12 11:21 Markus Meier
2016-03-06 15:00 Jeroen Roovers
2016-03-06  8:29 Jeroen Roovers
2016-03-02 14:22 Agostino Sarubbo
2016-03-02  9:47 Eray Aslan
2015-11-23 11:43 Eray Aslan
2015-11-23 11:43 Eray Aslan
2015-11-07 23:23 Mikle Kolyada
2015-11-05 10:58 Agostino Sarubbo
2015-11-04 14:26 Agostino Sarubbo
2015-11-04  5:04 Eray Aslan
2015-11-03 19:20 Markus Meier
2015-11-01 14:43 Tobias Klausmann
2015-10-29 11:43 Agostino Sarubbo
2015-10-29 11:43 Agostino Sarubbo
2015-10-29  7:05 Jeroen Roovers
2015-10-29  6:50 Jeroen Roovers
2015-10-04 19:36 Julian Ospald

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1525933794.96efb48a4f5dcba502ce1052701921aeddcea0e0.eras@gentoo \
    --to=eras@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox